FruxonDocs
ApiAgentassetestimate

Estimates token count for Zendesk Help Center articles before ingestion.

POST
/v1/tenants/{tenant}/agents/{agent}/assets:zendesk-estimate

Path Parameters

agent*string

The unique identifier of the agent.

tenant*string

The tenant identifier

Zendesk connection details and optional locale filter.

subdomain*string

Zendesk subdomain (e.g. 'mycompany' for mycompany.zendesk.com)

Length1 <= length
email*string

Zendesk account email address

Length1 <= length
token*string

Zendesk API token

Length1 <= length
locale?string|null

Locale code to filter articles (e.g. 'en-us'). Omit to fetch all locales.

[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string/assets:zendesk-estimate" \  -H "Content-Type: application/json" \  -d '{    "subdomain": "string",    "email": "string",    "token": "string"  }'
{
  "tokenCount": 0,
  "chunkCount": 0,
  "documentCount": 0,
  "documents": [
    {
      "fileName": "string",
      "tokenCount": 0,
      "chunkCount": 0
    }
  ]
}
Empty
Empty